Page MenuHomePhabricator

Bundle CategoryTree extension with MW 1.31
Closed, ResolvedPublic

Description

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Supports MySQL, SQLite, and Postgres (no schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2018, 6:25 PM
Tgr added a subscriber: Tgr.Apr 8 2018, 8:56 PM
Legoktm updated the task description. (Show Details)Apr 9 2018, 2:17 AM
Legoktm updated the task description. (Show Details)Apr 11 2018, 3:25 AM

This extension is a bit of a mess and clearly neglected :( I started to clean it up https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/CategoryTree+status:open

The main thing I'd like to get rid of is CategoryTree::initialize(). The hooks should mostly all be set in extension.json, and the conditionals moved into the hooks instead of conditionally registering the hooks.

Legoktm updated the task description. (Show Details)Apr 16 2018, 7:25 AM

The main thing I'd like to get rid of is CategoryTree::initialize(). The hooks should mostly all be set in extension.json, and the conditionals moved into the hooks instead of conditionally registering the hooks.

https://gerrit.wikimedia.org/r/#/q/topic:T191735-cleanup

License review looks good, I didn't get around to actually testing it yet.

Change 427209 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[mediawiki/tools/release@master] Bundle CategoryTree extension

https://gerrit.wikimedia.org/r/427209

Change 427209 merged by jenkins-bot:
[mediawiki/tools/release@master] Bundle CategoryTree extension

https://gerrit.wikimedia.org/r/427209

CCicalese_WMF closed this task as Resolved.Apr 18 2018, 2:35 PM
CCicalese_WMF claimed this task.
CCicalese_WMF removed a project: Patch-For-Review.